diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/propagation/model/three-gpp-propagation-loss-model.h ns-3.44/src/propagation/model/three-gpp-propagation-loss-model.h
--- ns-3.43/src/propagation/model/three-gpp-propagation-loss-model.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/propagation/model/three-gpp-propagation-loss-model.h	2025-03-09 16:55:49.687372200 -0700
@@ -15,16 +15,16 @@
 {
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Base class for the 3GPP propagation models
+ * @brief Base class for the 3GPP propagation models
  */
 class ThreeGppPropagationLossModel : public PropagationLossModel
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -43,35 +43,35 @@
     ThreeGppPropagationLossModel& operator=(const ThreeGppPropagationLossModel&) = delete;
 
     /**
-     * \brief Set the channel condition model used to determine the channel
+     * @brief Set the channel condition model used to determine the channel
      *        state (e.g., the LOS/NLOS condition)
-     * \param model pointer to the channel condition model
+     * @param model pointer to the channel condition model
      */
     void SetChannelConditionModel(Ptr<ChannelConditionModel> model);
 
     /**
-     * \brief Returns the associated channel condition model
-     * \return the channel condition model
+     * @brief Returns the associated channel condition model
+     * @return the channel condition model
      */
     Ptr<ChannelConditionModel> GetChannelConditionModel() const;
 
     /**
-     * \brief Set the central frequency of the model
-     * \param f the central frequency in the range in Hz, between 500.0e6 and 100.0e9 Hz
+     * @brief Set the central frequency of the model
+     * @param f the central frequency in the range in Hz, between 500.0e6 and 100.0e9 Hz
      */
     void SetFrequency(double f);
 
     /**
-     * \brief Return the current central frequency
-     * \return The current central frequency
+     * @brief Return the current central frequency
+     * @return The current central frequency
      */
     double GetFrequency() const;
 
     /**
-     * \brief Return true if the O2I Building Penetration loss
+     * @brief Return true if the O2I Building Penetration loss
      *        corresponds to a low loss condition.
-     * \param cond The ptr to the channel condition model
-     * \return True for low loss, false for high
+     * @param cond The ptr to the channel condition model
+     * @return True for low loss, false for high
      */
     bool IsO2iLowPenetrationLoss(Ptr<const ChannelCondition> cond) const;
 
@@ -80,10 +80,10 @@
      * Computes the received power by applying the pathloss model described in
      * 3GPP TR 38.901
      *
-     * \param txPowerDbm tx power in dBm
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the rx power in dBm
+     * @param txPowerDbm tx power in dBm
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the rx power in dBm
      */
     double DoCalcRxPower(double txPowerDbm,
                          Ptr<MobilityModel> a,
@@ -92,34 +92,34 @@
     int64_t DoAssignStreams(int64_t stream) override;
 
     /**
-     * \brief Computes the pathloss between a and b
-     * \param cond the channel condition
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return pathloss value in dB
+     * @brief Computes the pathloss between a and b
+     * @param cond the channel condition
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return pathloss value in dB
      */
     double GetLoss(Ptr<ChannelCondition> cond, Ptr<MobilityModel> a, Ptr<MobilityModel> b) const;
 
     /**
-     * \brief Computes the pathloss between a and b considering that the line of
+     * @brief Computes the pathloss between a and b considering that the line of
      *        sight is not obstructed
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return pathloss value in dB
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return pathloss value in dB
      */
     virtual double GetLossLos(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const = 0;
 
     /**
-     * \brief Computes the pathloss between a and b considering that the line of
+     * @brief Computes the pathloss between a and b considering that the line of
      *        sight is obstructed
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return pathloss value in dB
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return pathloss value in dB
      */
     virtual double GetLossNlos(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const = 0;
 
     /**
-     * \brief Returns the minimum of the two independently generated distances
+     * @brief Returns the minimum of the two independently generated distances
      *        according to the uniform distribution between the minimum and the maximum
      *        value depending on the specific 3GPP scenario (UMa, UMi-Street Canyon, RMa),
      *        i.e., between 0 and 25 m for UMa and UMi-Street Canyon, and between 0 and 10 m
@@ -128,12 +128,12 @@
      *        generated. 2D−in distance is used for the O2I penetration losses
      *        calculation according to 3GPP TR 38.901 7.4.3.
      *        See GetO2iLowPenetrationLoss/GetO2iHighPenetrationLoss functions.
-     * \return Returns 02i 2D distance (in meters) used to calculate low/high losses.
+     * @return Returns 02i 2D distance (in meters) used to calculate low/high losses.
      */
     virtual double GetO2iDistance2dIn() const = 0;
 
     /**
-     * \brief Retrieves the o2i building penetration loss value by looking at m_o2iLossMap.
+     * @brief Retrieves the o2i building penetration loss value by looking at m_o2iLossMap.
      *        If not found or if the channel condition changed it generates a new
      *        independent realization and stores it in the map, otherwise it calculates
      *        a new value as defined in 3GPP TR 38.901 7.4.3.1.
@@ -141,17 +141,17 @@
      *        Note that all child classes should implement this function to support
      *        low losses calculation. As such, this function should be purely virtual.
      *
-     * \param a tx mobility model (used for the key calculation)
-     * \param b rx mobility model (used for the key calculation)
-     * \param cond the LOS/NLOS channel condition
-     * \return o2iLoss
+     * @param a tx mobility model (used for the key calculation)
+     * @param b rx mobility model (used for the key calculation)
+     * @param cond the LOS/NLOS channel condition
+     * @return o2iLoss
      */
     virtual double GetO2iLowPenetrationLoss(Ptr<MobilityModel> a,
                                             Ptr<MobilityModel> b,
                                             ChannelCondition::LosConditionValue cond) const;
 
     /**
-     * \brief Retrieves the o2i building penetration loss value by looking at m_o2iLossMap.
+     * @brief Retrieves the o2i building penetration loss value by looking at m_o2iLossMap.
      *        If not found or if the channel condition changed it generates a new
      *        independent realization and stores it in the map, otherwise it calculates
      *        a new value as defined in 3GPP TR 38.901 7.4.3.1.
@@ -159,17 +159,17 @@
      *        Note that all child classes should implement this function to support
      *        high losses calculation. As such, this function should be purely virtual.
      *
-     * \param a tx mobility model (used for the key calculation)
-     * \param b rx mobility model (used for the key calculation)
-     * \param cond the LOS/NLOS channel condition
-     * \return o2iLoss
+     * @param a tx mobility model (used for the key calculation)
+     * @param b rx mobility model (used for the key calculation)
+     * @param cond the LOS/NLOS channel condition
+     * @return o2iLoss
      */
     virtual double GetO2iHighPenetrationLoss(Ptr<MobilityModel> a,
                                              Ptr<MobilityModel> b,
                                              ChannelCondition::LosConditionValue cond) const;
 
     /**
-     * \brief Indicates the condition of the o2i building penetration loss
+     * @brief Indicates the condition of the o2i building penetration loss
      *        (defined in 3GPP TR 38.901 7.4.3.1).
      *        The default implementation returns the condition as set
      *        (either based on the buildings materials, or if the probabilistic
@@ -177,77 +177,77 @@
      *        based on the result of a random variable).
      *        The derived classes can change the default behavior by overriding
      *        this method.
-     * \param cond the ptr to the channel condition model
-     * \return True for low losses, false for high losses
+     * @param cond the ptr to the channel condition model
+     * @return True for low losses, false for high losses
      */
     virtual bool DoIsO2iLowPenetrationLoss(Ptr<const ChannelCondition> cond) const;
 
     /**
-     * \brief Computes the pathloss between a and b considering that the line of
+     * @brief Computes the pathloss between a and b considering that the line of
      *        sight is obstructed by a vehicle. By default it raises an error to
      *        avoid misuse.
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return pathloss value in dB
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return pathloss value in dB
      */
     virtual double GetLossNlosv(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const;
 
     /**
-     * \brief Retrieves the shadowing value by looking at m_shadowingMap.
+     * @brief Retrieves the shadowing value by looking at m_shadowingMap.
      *        If not found or if the channel condition changed it generates a new
      *        independent realization and stores it in the map, otherwise it correlates
      *        the new value with the previous one using the autocorrelation function
      *        defined in 3GPP TR 38.901, Sec. 7.4.4.
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \param cond the LOS/NLOS channel condition
-     * \return shadowing loss in dB
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @param cond the LOS/NLOS channel condition
+     * @return shadowing loss in dB
      */
     double GetShadowing(Ptr<MobilityModel> a,
                         Ptr<MobilityModel> b,
                         ChannelCondition::LosConditionValue cond) const;
 
     /**
-     * \brief Returns the shadow fading standard deviation
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \param cond the LOS/NLOS channel condition
-     * \return shadowing std in dB
+     * @brief Returns the shadow fading standard deviation
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @param cond the LOS/NLOS channel condition
+     * @return shadowing std in dB
      */
     virtual double GetShadowingStd(Ptr<MobilityModel> a,
                                    Ptr<MobilityModel> b,
                                    ChannelCondition::LosConditionValue cond) const = 0;
 
     /**
-     * \brief Returns the shadow fading correlation distance
-     * \param cond the LOS/NLOS channel condition
-     * \return shadowing correlation distance in meters
+     * @brief Returns the shadow fading correlation distance
+     * @param cond the LOS/NLOS channel condition
+     * @return shadowing correlation distance in meters
      */
     virtual double GetShadowingCorrelationDistance(
         ChannelCondition::LosConditionValue cond) const = 0;
 
     /**
-     * \brief Returns an unique key for the channel between a and b.
+     * @brief Returns an unique key for the channel between a and b.
      *
      * The key is the value of the Cantor function calculated by using as
      * first parameter the lowest node ID, and as a second parameter the highest
      * node ID.
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return channel key
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return channel key
      */
     static uint32_t GetKey(Ptr<MobilityModel> a, Ptr<MobilityModel> b);
 
     /**
-     * \brief Get the difference between the node position
+     * @brief Get the difference between the node position
      *
      * The difference is calculated as (b-a) if Id(a) < Id (b), or
      * (a-b) if Id(b) <= Id(a).
      *
-     * \param a First node
-     * \param b Second node
-     * \return the difference between the node vector position
+     * @param a First node
+     * @param b Second node
+     * @return the difference between the node vector position
      */
     static Vector GetVectorDifference(Ptr<MobilityModel> a, Ptr<MobilityModel> b);
 
@@ -255,10 +255,10 @@
     void DoDispose() override;
 
     /**
-     * \brief Computes the 2D distance between two 3D vectors
-     * \param a the first 3D vector
-     * \param b the second 3D vector
-     * \return the 2D distance between a and b
+     * @brief Computes the 2D distance between two 3D vectors
+     * @param a the first 3D vector
+     * @param b the second 3D vector
+     * @return the 2D distance between a and b
      */
     static double Calculate2dDistance(Vector a, Vector b);
 
@@ -303,17 +303,17 @@
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Implements the pathloss model defined in 3GPP TR 38.901, Table 7.4.1-1
+ * @brief Implements the pathloss model defined in 3GPP TR 38.901, Table 7.4.1-1
  *        for the RMa scenario.
  */
 class ThreeGppRmaPropagationLossModel : public ThreeGppPropagationLossModel
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -333,16 +333,16 @@
 
   private:
     /**
-     * \brief Computes the pathloss between a and b considering that the line of
+     * @brief Computes the pathloss between a and b considering that the line of
      *        sight is not obstructed
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return pathloss value in dB
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return pathloss value in dB
      */
     double GetLossLos(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const override;
 
     /**
-     * \brief Returns the minimum of the two independently generated distances
+     * @brief Returns the minimum of the two independently generated distances
      *        according to the uniform distribution between the minimum and the maximum
      *        value depending on the specific 3GPP scenario (UMa, UMi-Street Canyon, RMa),
      *        i.e., between 0 and 25 m for UMa and UMi-Street Canyon, and between 0 and 10 m
@@ -351,61 +351,61 @@
      *        generated. 2D−in distance is used for the O2I penetration losses
      *        calculation according to 3GPP TR 38.901 7.4.3.
      *        See GetO2iLowPenetrationLoss/GetO2iHighPenetrationLoss functions.
-     * \return Returns 02i 2D distance (in meters) used to calculate low/high losses.
+     * @return Returns 02i 2D distance (in meters) used to calculate low/high losses.
      */
     double GetO2iDistance2dIn() const override;
 
     /**
-     * \brief Indicates the condition of the o2i building penetration loss
+     * @brief Indicates the condition of the o2i building penetration loss
      *        (defined in 3GPP TR 38.901 7.4.3.1).
-     * \param cond the ptr to the channel condition model
-     * \return True for low losses, false for high losses
+     * @param cond the ptr to the channel condition model
+     * @return True for low losses, false for high losses
      */
     bool DoIsO2iLowPenetrationLoss(Ptr<const ChannelCondition> cond) const override;
 
     /**
-     * \brief Computes the pathloss between a and b considering that the line of
+     * @brief Computes the pathloss between a and b considering that the line of
      *        sight is obstructed
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return pathloss value in dB
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return pathloss value in dB
      */
     double GetLossNlos(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const override;
 
     /**
-     * \brief Returns the shadow fading standard deviation
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \param cond the LOS/NLOS channel condition
-     * \return shadowing std in dB
+     * @brief Returns the shadow fading standard deviation
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @param cond the LOS/NLOS channel condition
+     * @return shadowing std in dB
      */
     double GetShadowingStd(Ptr<MobilityModel> a,
                            Ptr<MobilityModel> b,
                            ChannelCondition::LosConditionValue cond) const override;
 
     /**
-     * \brief Returns the shadow fading correlation distance
-     * \param cond the LOS/NLOS channel condition
-     * \return shadowing correlation distance in meters
+     * @brief Returns the shadow fading correlation distance
+     * @param cond the LOS/NLOS channel condition
+     * @return shadowing correlation distance in meters
      */
     double GetShadowingCorrelationDistance(ChannelCondition::LosConditionValue cond) const override;
 
     /**
-     * \brief Computes the PL1 formula for the RMa scenario
-     * \param frequency the operating frequency in Hz
-     * \param distance3D the 3D distance between the tx and the rx nodes in meters
-     * \param h the average building height in meters
-     * \param w the average street width in meters
-     * \return result of the PL1 formula
+     * @brief Computes the PL1 formula for the RMa scenario
+     * @param frequency the operating frequency in Hz
+     * @param distance3D the 3D distance between the tx and the rx nodes in meters
+     * @param h the average building height in meters
+     * @param w the average street width in meters
+     * @return result of the PL1 formula
      */
     static double Pl1(double frequency, double distance3D, double h, double w);
 
     /**
-     * \brief Computes the breakpoint distance for the RMa scenario
-     * \param frequency the operating frequency in Hz
-     * \param hA height of the tx node in meters
-     * \param hB height of the rx node in meters
-     * \return the breakpoint distance in meters
+     * @brief Computes the breakpoint distance for the RMa scenario
+     * @param frequency the operating frequency in Hz
+     * @param hA height of the tx node in meters
+     * @param hB height of the rx node in meters
+     * @return the breakpoint distance in meters
      */
     static double GetBpDistance(double frequency, double hA, double hB);
 
@@ -414,17 +414,17 @@
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Implements the pathloss model defined in 3GPP TR 38.901, Table 7.4.1-1
+ * @brief Implements the pathloss model defined in 3GPP TR 38.901, Table 7.4.1-1
  *        for the UMa scenario.
  */
 class ThreeGppUmaPropagationLossModel : public ThreeGppPropagationLossModel
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -446,16 +446,16 @@
     int64_t DoAssignStreams(int64_t stream) override;
 
     /**
-     * \brief Computes the pathloss between a and b considering that the line of
+     * @brief Computes the pathloss between a and b considering that the line of
      *        sight is not obstructed
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return pathloss value in dB
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return pathloss value in dB
      */
     double GetLossLos(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const override;
 
     /**
-     * \brief Returns the minimum of the two independently generated distances
+     * @brief Returns the minimum of the two independently generated distances
      *        according to the uniform distribution between the minimum and the maximum
      *        value depending on the specific 3GPP scenario (UMa, UMi-Street Canyon, RMa),
      *        i.e., between 0 and 25 m for UMa and UMi-Street Canyon, and between 0 and 10 m
@@ -464,43 +464,43 @@
      *        generated. 2D−in distance is used for the O2I penetration losses
      *        calculation according to 3GPP TR 38.901 7.4.3.
      *        See GetO2iLowPenetrationLoss/GetO2iHighPenetrationLoss functions.
-     * \return Returns 02i 2D distance (in meters) used to calculate low/high losses.
+     * @return Returns 02i 2D distance (in meters) used to calculate low/high losses.
      */
     double GetO2iDistance2dIn() const override;
 
     /**
-     * \brief Computes the pathloss between a and b considering that the line of
+     * @brief Computes the pathloss between a and b considering that the line of
      *        sight is obstructed.
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return pathloss value in dB
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return pathloss value in dB
      */
     double GetLossNlos(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const override;
 
     /**
-     * \brief Returns the shadow fading standard deviation
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \param cond the LOS/NLOS channel condition
-     * \return shadowing std in dB
+     * @brief Returns the shadow fading standard deviation
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @param cond the LOS/NLOS channel condition
+     * @return shadowing std in dB
      */
     double GetShadowingStd(Ptr<MobilityModel> a,
                            Ptr<MobilityModel> b,
                            ChannelCondition::LosConditionValue cond) const override;
 
     /**
-     * \brief Returns the shadow fading correlation distance
-     * \param cond the LOS/NLOS channel condition
-     * \return shadowing correlation distance in meters
+     * @brief Returns the shadow fading correlation distance
+     * @param cond the LOS/NLOS channel condition
+     * @return shadowing correlation distance in meters
      */
     double GetShadowingCorrelationDistance(ChannelCondition::LosConditionValue cond) const override;
 
     /**
-     * \brief Computes the breakpoint distance
-     * \param hUt height of the UT in meters
-     * \param hBs height of the BS in meters
-     * \param distance2D distance between the two nodes in meters
-     * \return the breakpoint distance in meters
+     * @brief Computes the breakpoint distance
+     * @param hUt height of the UT in meters
+     * @param hBs height of the BS in meters
+     * @param distance2D distance between the two nodes in meters
+     * @return the breakpoint distance in meters
      */
     double GetBpDistance(double hUt, double hBs, double distance2D) const;
 
@@ -509,17 +509,17 @@
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Implements the pathloss model defined in 3GPP TR 38.901, Table 7.4.1-1
+ * @brief Implements the pathloss model defined in 3GPP TR 38.901, Table 7.4.1-1
  *        for the UMi-Street Canyon scenario.
  */
 class ThreeGppUmiStreetCanyonPropagationLossModel : public ThreeGppPropagationLossModel
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -541,16 +541,16 @@
 
   private:
     /**
-     * \brief Computes the pathloss between a and b considering that the line of
+     * @brief Computes the pathloss between a and b considering that the line of
      *        sight is not obstructed
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return pathloss value in dB
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return pathloss value in dB
      */
     double GetLossLos(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const override;
 
     /**
-     * \brief Returns the minimum of the two independently generated distances
+     * @brief Returns the minimum of the two independently generated distances
      *        according to the uniform distribution between the minimum and the maximum
      *        value depending on the specific 3GPP scenario (UMa, UMi-Street Canyon, RMa),
      *        i.e., between 0 and 25 m for UMa and UMi-Street Canyon, and between 0 and 10 m
@@ -559,59 +559,59 @@
      *        generated. 2D−in distance is used for the O2I penetration losses
      *        calculation according to 3GPP TR 38.901 7.4.3.
      *        See GetO2iLowPenetrationLoss/GetO2iHighPenetrationLoss functions.
-     * \return Returns 02i 2D distance (in meters) used to calculate low/high losses.
+     * @return Returns 02i 2D distance (in meters) used to calculate low/high losses.
      */
     double GetO2iDistance2dIn() const override;
 
     /**
-     * \brief Computes the pathloss between a and b considering that the line of
+     * @brief Computes the pathloss between a and b considering that the line of
      *        sight is obstructed.
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return pathloss value in dB
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return pathloss value in dB
      */
     double GetLossNlos(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const override;
 
     /**
-     * \brief Returns the shadow fading standard deviation
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \param cond the LOS/NLOS channel condition
-     * \return shadowing std in dB
+     * @brief Returns the shadow fading standard deviation
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @param cond the LOS/NLOS channel condition
+     * @return shadowing std in dB
      */
     double GetShadowingStd(Ptr<MobilityModel> a,
                            Ptr<MobilityModel> b,
                            ChannelCondition::LosConditionValue cond) const override;
 
     /**
-     * \brief Returns the shadow fading correlation distance
-     * \param cond the LOS/NLOS channel condition
-     * \return shadowing correlation distance in meters
+     * @brief Returns the shadow fading correlation distance
+     * @param cond the LOS/NLOS channel condition
+     * @return shadowing correlation distance in meters
      */
     double GetShadowingCorrelationDistance(ChannelCondition::LosConditionValue cond) const override;
 
     /**
-     * \brief Computes the breakpoint distance
-     * \param hUt height of the UT node in meters
-     * \param hBs height of the BS node in meters
-     * \param distance2D distance between the two nodes in meters
-     * \return the breakpoint distance in meters
+     * @brief Computes the breakpoint distance
+     * @param hUt height of the UT node in meters
+     * @param hBs height of the BS node in meters
+     * @param distance2D distance between the two nodes in meters
+     * @return the breakpoint distance in meters
      */
     double GetBpDistance(double hUt, double hBs, double distance2D) const;
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Implements the pathloss model defined in 3GPP TR 38.901, Table 7.4.1-1
+ * @brief Implements the pathloss model defined in 3GPP TR 38.901, Table 7.4.1-1
  *        for the Indoor Office scenario.
  */
 class ThreeGppIndoorOfficePropagationLossModel : public ThreeGppPropagationLossModel
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -633,16 +633,16 @@
 
   private:
     /**
-     * \brief Computes the pathloss between a and b considering that the line of
+     * @brief Computes the pathloss between a and b considering that the line of
      *        sight is not obstructed
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return pathloss value in dB
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return pathloss value in dB
      */
     double GetLossLos(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const override;
 
     /**
-     * \brief Returns the minimum of the two independently generated distances
+     * @brief Returns the minimum of the two independently generated distances
      *        according to the uniform distribution between the minimum and the maximum
      *        value depending on the specific 3GPP scenario (UMa, UMi-Street Canyon, RMa),
      *        i.e., between 0 and 25 m for UMa and UMi-Street Canyon, and between 0 and 10 m
